io.etcd.jetcd

## Class KeyValue

- java.lang.Object
- - io.etcd.jetcd.KeyValue

    public class KeyValue
    extends Object

Etcd key value pair.

### Constructor Summary

Constructors
Constructor and Description
`KeyValue(KeyValue kv, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCreateRevision()`
`ByteSequence` `getKey()`
`long` `getLease()`
`long` `getModRevision()`
`ByteSequence` `getValue()`
`long` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyValue

    public KeyValue(KeyValue kv,
                    ByteSequence namespace)

### Method Detail

#### getKey

    public ByteSequence getKey()

#### getValue

    public ByteSequence getValue()

#### getCreateRevision

    public long getCreateRevision()

#### getModRevision

    public long getModRevision()

#### getVersion

    public long getVersion()

#### getLease

    public long getLease()